Package org.apache.felix.hc.generalchecks.util

## Class ScriptEnginesTracker

- java.lang.Object
- - org.apache.felix.hc.generalchecks.util.ScriptEnginesTracker

All Implemented Interfaces:
  `EventListener`, `org.osgi.framework.BundleListener`

    public class ScriptEnginesTracker
    extends Object
    implements org.osgi.framework.BundleListener

Simple service to track script engines available via osgi bundles that define META-INF/services/javax.script.ScriptEngineFactory, e.g. like groovy-all.

### Constructor Summary

Constructors
`ScriptEnginesTracker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(org.osgi.framework.BundleContext context)`
`void` `bundleChanged​(org.osgi.framework.BundleEvent event)`
`void` `deactivate()`
`ScriptEngine` `getEngineByLanguage​(String language)`
`Map<org.osgi.framework.Bundle,​List<String>>` `getLanguagesByBundle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptEnginesTracker

    public ScriptEnginesTracker()

### Method Detail

#### activate

    public void activate​(org.osgi.framework.BundleContext context)

#### deactivate

    public void deactivate()

#### getEngineByLanguage

    public ScriptEngine getEngineByLanguage​(String language)

#### getLanguagesByBundle

    public Map<org.osgi.framework.Bundle,​List<String>> getLanguagesByBundle()

#### bundleChanged

    public void bundleChanged​(org.osgi.framework.BundleEvent event)

Specified by:
  `bundleChanged` in interface `org.osgi.framework.BundleListener`